> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Unstaking Requests For Role In Org

> Lists unstaking requests for a roleInOrg (default the caller) enriched with grant name, amount and config version.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/get-unstaking-requests-for-role-in-org
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-unstaking-requests-for-role-in-org:
    post:
      operationId: getUnstakingRequestsForRoleInOrg
      summary: Get Unstaking Requests For Role In Org
      description: >-
        Lists unstaking requests for a roleInOrg (default the caller) enriched
        with grant name, amount and config version.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetUnstakingRequestsForRoleInOrgRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetUnstakingRequestsForRoleInOrgResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetUnstakingRequestsForRoleInOrgRequest:
      type: object
      properties:
        roleInOrgID:
          type: string
          format: uuid
        statusFilters:
          type: array
          items:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          maxItems: 20
    GetUnstakingRequestsForRoleInOrgResponse:
      type: array
      items:
        type: object
        properties:
          unstakingRequestID:
            type: string
          stakingRequestID:
            type: string
          unstakingAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          unstakingDate:
            type: string
          createdAt:
            type: string
          updatedAt:
            type: string
          status:
            type: string
            enum:
              - DRAFT
              - PENDING
              - APPROVED
              - REJECTED
              - CANCELLED
              - IN_STAKING
              - UNSTAKE_REQUEST_PLACED
              - STAKING_PERIOD_COMPLETED
              - COMPLETED
          roleInOrgID:
            type: string
          stakingRequest:
            type: object
            properties:
              stakingRequestID:
                type: string
              stakingConfigurationID:
                type: string
              roleInOrgID:
                type: string
              stakingAmount:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              stakingBalance:
                type: string
                pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              stakingStartDate:
                type: string
              stakingStatus:
                type: string
                enum:
                  - DRAFT
                  - PENDING
                  - APPROVED
                  - REJECTED
                  - CANCELLED
                  - IN_STAKING
                  - UNSTAKE_REQUEST_PLACED
                  - STAKING_PERIOD_COMPLETED
                  - COMPLETED
              createdAt:
                type: string
              grantID:
                type: string
              updatedAt:
                type: string
              stakingDistributionID:
                type:
                  - string
                  - 'null'
              grant:
                type: object
                properties:
                  grantName:
                    type: string
                  grantID:
                    type: string
                  grantAmount:
                    type: string
                    pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
                required:
                  - grantName
                  - grantID
                  - grantAmount
              stakingConfiguration:
                type: object
                properties:
                  versionNumber:
                    type: integer
                required:
                  - versionNumber
            required:
              - stakingRequestID
              - stakingConfigurationID
              - roleInOrgID
              - stakingAmount
              - stakingBalance
              - stakingStartDate
              - stakingStatus
              - createdAt
              - grantID
              - updatedAt
              - stakingDistributionID
              - grant
              - stakingConfiguration
          grantName:
            type: string
          grantID:
            type: string
          grantAmount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          requestType:
            const: Unstaking
          startDate:
            type: string
          amount:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          duration:
            type:
              - 'null'
              - 'null'
          versionNumber:
            type: integer
        required:
          - unstakingRequestID
          - stakingRequestID
          - unstakingAmount
          - unstakingDate
          - createdAt
          - updatedAt
          - status
          - roleInOrgID
          - stakingRequest
          - grantName
          - grantID
          - grantAmount
          - requestType
          - startDate
          - amount
          - duration
          - versionNumber
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
